## org.eclipse.datatools.connectivity.oda.design.ui.designsession
Interface DataSourceDesignSession.IDesignNameValidator

Enclosing class:
  DataSourceDesignSession

    public static interface DataSourceDesignSession.IDesignNameValidator

The public interface for call-back to an ODA design name validator provided by an ODA consumer application to validate the name of a data source design defined in the ODA connection profile selection page.

Since:
  3.0.4

Method Summary
`boolean` `isValid(java.lang.String designName)` Validates whether the specified data source designName is valid in the context of the validator provider.

Method Detail

### isValid

    boolean isValid(java.lang.String designName)
                    throws OdaException

  Validates whether the specified data source designName is valid in the context of the validator provider.

  Parameters:
    `designName` - data source design name defined by an user
  Returns:
    Returns true if designName is valid. Otherwise throws an OdaException with the appropriate error message for display on the UI page. If the method simply returns false and does not throw an exception the page will display a generic error message.
  Throws:
    `OdaException`

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.